# class ScriptAsync | Asynchronous execution support. More...
Contains pure virtuals
Full name | `TelEngine::ScriptAsync`
Definition | `#include <libs/yscript/yatescript.h>`
Inherits | TelEngine::GenObject [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- ScriptAsync (ScriptRun* owner)
- virtual ~ScriptAsync ()
- inline ScriptRun* runner ()
- virtual bool run ()

## Detailed Description

Operation that is to be executed by the script runtime before current operation

ScriptAsync (ScriptRun* owner) | ### ScriptAsync

Constructor

Parameters:

owner | The script running instance that will own this operation

~ScriptAsync () | ### ~ScriptAsync

[virtual]

Destructor

inline ScriptRun* runner () | ### runner

Retrieve the script running instance that owns this stack

Returns: Pointer to owner script instance

bool run () | ### run

[pure virtual]

Execute the aynchronous operation with context unlocked if the script is paused

Returns: True if the operation should be removed (was one-shot)

Generated by: paulc on bussard on Mon Feb 10 13:15:47 2014, using kdoc 2.0a54.